Bug 763126 - (GLUSTER-1394) Sparse files not in sync
Sparse files not in sync
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.0.5
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 08:43 EDT by christian.boeing
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christian.boeing 2010-08-18 08:43:37 EDT
Before use glusterfs in production I made some tests:
Scenario: 2 replicated nodes

1. Create a sparse file of 50g in a folder of a mountpoint created by glusterfs.
2. Connect to a loop device (losetup /dev/loop0 ...)
-> both nodes in sync, show 50g, "du -sh" the real small size ...
3. Create a PV on /dev/loop0 (pvcreate /dev/loop0)
4. Create VG ...
5. Copy LV´s of a local VG into this VG (dd for each LV)
-> both sparse files grow in sync

Problem: If one node disapears for a time during the copy and joins again during that (test: kill glusterfsd and restart on one node) the result is that the sparse files have a different size and don´t get in sync again.
Comment 1 shishir gowda 2010-11-16 04:41:26 EST
Hi Christian,

I ran the tests that you have specified.
On the backend, the ls and md5sum match after selfheal completes.
The du -sh size differs. 
This is valid behavior of gluster handling spare files.

With regards,
Shishir

Note You need to log in before you can comment on or make changes to this bug.